VMTKDISTANCETOCENTERLINES(1)

NAME
vmtkdistancetocenterlines - vmtk script vmtkdistancetocenterlines

DESCRIPTION
Automatic piping vmtkdistancetocenterlines Parsing options vmtkdistancetocenterlines

vmtkdistancetocenterlines : calculate the minimum euclidian from

    surface points to a centerline

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1)

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-centerlines Centerlines (vtkPolyData,1)

-centerlinesfile CenterlinesInputFileName (str,1): filename for the

    default Centerlines reader

-useradius UseRadiusInformation (bool,1); default=0

-tubefunction EvaluateTubeFunction (bool,1); default=0

-centerlineradius EvaluateCenterlineRadius (bool,1); default=0

-combined UseCombinedDistance (bool,1); default=0: combines local

    radius with maximum inscribed sphere radius

-projectarrays ProjectPointArrays (bool,1); default=0

-distancetocenterlinesarray DistanceToCenterlinesArrayName (str,1);

    default=DistanceToCenterlines

-radiusarray RadiusArrayName (str,1);

    default=MaximumInscribedSphereRadius

-useradiusthreshold UseRadiusThreshold

-radiusthreshold RadiusThreshold (float,1) >= 0.0; default=0.0: set

    radius threshold

-ofile SurfaceOutputFileName (str,1): filename for the default

    Surface writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Surface (vtkPolyData,1)